org.codehaus.plexus.component.manager

## Class ClassicSingletonComponentManager

- java.lang.Object
- - org.codehaus.plexus.component.manager.AbstractComponentManager
  - - org.codehaus.plexus.component.manager.ClassicSingletonComponentManager

All Implemented Interfaces:
  Cloneable, ComponentManager

    public class ClassicSingletonComponentManager
    extends AbstractComponentManager

This ensures only a single manager of a a component exists. Once no more connections for this component exists it is disposed.

Version:
  $Id: ClassicSingletonComponentManager.java 1750 2005-04-19 07:45:02Z brett $
Author:
  Jason van Zyl, Bert van Brakel

### Field Summary

### Fields inherited from interface org.codehaus.plexus.component.manager.ComponentManager

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`ClassicSingletonComponentManager()`

### Method Summary

Methods
`void` `dispose()`
`Object` `getComponent()`
`void` `release(Object component)`

### Methods inherited from class org.codehaus.plexus.component.manager.AbstractComponentManager

`connected, copy, createComponentInstance, decrementConnectionCount, endComponentLifecycle, getComponentDescriptor, getConnections, getContainer, getId, getLifecycleHandler, getLogger, incrementConnectionCount, initialize, resume, setup, startComponentLifecycle, suspend`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassicSingletonComponentManager

    public ClassicSingletonComponentManager()

### Method Detail

#### release

    public void release(Object component)
                 throws ComponentLifecycleException

Throws:
  `ComponentLifecycleException`

#### dispose

    public void dispose()
                 throws ComponentLifecycleException

Throws:
  `ComponentLifecycleException`

#### getComponent

    public Object getComponent()
                        throws ComponentInstantiationException,
                               ComponentLifecycleException

Throws:
  `ComponentInstantiationException`
  `ComponentLifecycleException`